<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.ngrams.models.NGram Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.ngrams.models.NGram Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.ngrams.models.NGram:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.png" usemap="#pyspottedunipd.ngrams.models.NGram_map" alt=""/>
  <map id="pyspottedunipd.ngrams.models.NGram_map" name="pyspottedunipd.ngrams.models.NGram_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2a5c55a3303d7da0f410ebe18b4f3d5d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html#a2a5c55a3303d7da0f410ebe18b4f3d5d">__init__</a> (self)</td></tr>
<tr class="separator:a2a5c55a3303d7da0f410ebe18b4f3d5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fb8e14cc45dc03c7cd250a7f6804c70"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html#a6fb8e14cc45dc03c7cd250a7f6804c70">generate_from_file</a> (self, order, filename, number_of_words)</td></tr>
<tr class="separator:a6fb8e14cc45dc03c7cd250a7f6804c70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adde2b71326b9837fffbf642057167fab"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html#adde2b71326b9837fffbf642057167fab">generate_from_string</a> (self, order, string, number_of_words)</td></tr>
<tr class="separator:adde2b71326b9837fffbf642057167fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af6474ffdf656cebb90cbfcaa925d40cb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html#af6474ffdf656cebb90cbfcaa925d40cb">make_cups</a> (order, string)</td></tr>
<tr class="separator:af6474ffdf656cebb90cbfcaa925d40cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a654e3fc83a4a2cced0a9207558c651c3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html#a654e3fc83a4a2cced0a9207558c651c3">print_cups</a> (cups)</td></tr>
<tr class="separator:a654e3fc83a4a2cced0a9207558c651c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0715ce38bf5c01f6850aeddc483515df"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html#a0715ce38bf5c01f6850aeddc483515df">topword</a> (n, cup)</td></tr>
<tr class="separator:a0715ce38bf5c01f6850aeddc483515df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00044">44</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2a5c55a3303d7da0f410ebe18b4f3d5d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.NGram.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00045">45</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6fb8e14cc45dc03c7cd250a7f6804c70"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.NGram.generate_from_file </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>number_of_words</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param order: int
    Order of n-gram
:param filename: str
    Path to filename
:param number_of_words: int
    Number of words to generate
:return: str
    Generate words based on a text file
</pre> 
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00103">103</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="adde2b71326b9837fffbf642057167fab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.NGram.generate_from_string </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>string</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>number_of_words</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param order: int
    Order of n-gram
:param string: str
    Input string
:param number_of_words: int
    Number of words to generate
:return: str
    Generate words based on a text file
</pre> 
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00120">120</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="af6474ffdf656cebb90cbfcaa925d40cb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.NGram.make_cups </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>string</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param order: int
    Order of n-grams to generate
:param string: str
    Input text
:return: cups
    Get a string of input text and make all the unique cups with the different words in it
</pre> 
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00049">49</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a654e3fc83a4a2cced0a9207558c651c3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.NGram.print_cups </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>cups</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param cups: Cup
    Cup to use
:return: void
    Use this to see what cups there are and the words inside of it
</pre> 
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00075">75</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a0715ce38bf5c01f6850aeddc483515df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.models.NGram.topword </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>cup</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param n: int
    Number of top words to take from cup
:param cup: Cup
    Cup to use
:return: str
    A function that picks the top words in a cup
</pre> 
<p>Definition at line <a class="el" href="ngrams_2models_8py_source.html#l00087">87</a> of file <a class="el" href="ngrams_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/<a class="el" href="ngrams_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1ngrams.html">ngrams</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram.html">NGram</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
